API reference · eKYB

EkybChecks Modular Business Verification

POST/omni/ekybChecks

Authentication

This endpoint requires x-api-key and X-Incode-Hardware-Id.

x-api-keyheader

Your api key. Request it from Incode support team

X-Incode-Hardware-Idheader

Session token. Created either via /omni/start or /executive/log-in

Base URL: https://demo-api.incodesmile.com — Incode demo environment

Composable KYB endpoint. Clients specify which modules they need and Incode routes to the correct vendor for the country. Available modules: identity, address, statusEntityType, personAssociation, webPresence.

Path & query parameters

Name In Type Required Description
api-version header string yes Default: 1.0

Request body

Field Type Required Description
plugins array[string]
country string yes ISO 3166-1 alpha-2 country code
taxId string Tax ID or company registration number
businessName string Registered legal name of the business
street string Street address
city string City
state string State / province
postalCode string Postal code / ZIP
personName string Full name of a person to verify association with the business (PERSON_ASSOCIATION module)
modules array[string] Enum: identity, address, statusEntityType, personAssociation, webPresence

Responses

200

OK

Response body (application/json):

Field Type Required Description
kyb array[EkybChecksModuleResult]
kyb.module string Enum: identity, address, statusEntityType, personAssociation, webPresence
kyb.results array[EkybChecksKeyResult]
kyb.results.key string
kyb.results.status string Enum: verified, approximateMatch, unverified, notFound
kyb.results.value string
kyb.results.people array[EkybChecksPersonResult]
kyb.results.people.name string
kyb.results.people.titles array[string]
kyb.results.parked boolean
kyb.results.sub_label string
kyb.results.domain_age_months integer (int32)

400

Bad Request

Response body (application/json):

Field Type Required Description
timestamp integer (int64) UTC timestamp in milliseconds
status integer (int32) Custom error code or HTTP status code
error string HTTP status error
message string Custom error message
path string Endpoint path
details object Custom error details
Was this page helpful?